# $Revision: 1.21 $, $Date: 2007-09-05 13:20:53 $
Summary:	File archiving utility with compression
Summary(pl.UTF-8):	Program do archiwizacji i kompresji
Summary(ru.UTF-8):	Утилита архивации и компрессии для архивов формата ZOO
Summary(uk.UTF-8):	Утиліта архивації та компресії для архівів формату ZOO
Name:		zoo
Version:	2.10
Release:	9
License:	Copyrighted, freely distributable if unmodified
Group:		Applications/Archiving
# ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}-%{version}-3.src.rpm
Source0:	ftp://ftp.slackware.org/pub/slackware/source/a/bin/%{name}-%{version}.tar.gz
# Source0-md5:	f5d3ffdd65cc8a511c83e3c3f108c27e
# I hope these patches don't violate license...
# (source tarball is still unmodified, patches only make thing build,
# without any changes in behaviour of produced binary)
Patch0:		ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}-2.10.linux.diff.gz
Patch1:		%{name}-morelinux.patch
Patch2:		%{name}-CAN-2005-2349.patch
Patch3:		%{name}-febz-183426.patch
Patch4:		%{name}-security_pathsize.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
zoo is a file archiving utility for maintaining collections of files.
It uses Lempel-Ziv compression to provide space savings in the range
of 20 to 80 percent depending on the type of data. Written by Rahul
Dhesi, and posted to the USENET newsgroup comp.sources.misc.

%description -l pl.UTF-8
zoo jest programem archiwizującym. Używa kompresji Lempel-Ziv. Może
zaoszczędzić od 20 do 80% miejsca, w zależności od rodzaju danych.
Napisany przez Rahula Dhesi, wysłany na grupę comp.sources.misc .

%description -l ru.UTF-8
Это утилита для архивирования и компрессирования файлов. В основном
она используется в мире DOS и Amiga, но может быть использована также
под Linux для извлечения файлов DOS из архивов ZOO.

%description -l uk.UTF-8
Це утиліта для архівації та компресування файлів. Вона в основному
використовується у світі DOS та Amiga, але може бути використана під
Linux для добування файлів з архівів ZOO.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p0

%build
%{__make} linux \
	CC="%{__cc}" \
	OPTIM="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install fiz zoo $RPM_BUILD_ROOT%{_bindir}
install fiz.1 zoo.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Copyright
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zoo.spec,v $
Revision 1.21  2007-09-05 13:20:53  baggins
- rel 9

Revision 1.20  2007/04/26 20:27:12  qboosh
- CVE reference for security_pathsize patch

Revision 1.19  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.17  2006/03/16 23:14:21  glen
- typo

Revision 1.16  2006/03/16 19:48:30  glen
- add CAN-2005-2349, febz-183426, security_pathsize patches from gentoo, rel 8
[security_pathsize fixes CVE-2006-0855]

Revision 1.15  2003/11/24 12:04:27  averne
- Updated release

Revision 1.14  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.13  2003/06/12 08:53:21  qboosh
- added morelinux patch to use more recent C dialect (gcc 3.3 compilant)

Revision 1.12  2003/06/12 05:59:12  misi3k
- blah rel down

Revision 1.11  2003/06/12 05:48:24  misi3k
- updated Source0 url
  TODO: gcc 3.3 patch

Revision 1.10  2003/05/28 13:03:18  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:28:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/06/02 10:47:54  kloczek
- release 6: merge translations from KSI and use new %doc.

Revision 1.7  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:30:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/19 23:16:36  misiek
- use proper cc

Revision 1.4  2002/01/18 02:15:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/08/23 18:41:17  qboosh
- there is only src.rpm and diff.gz on sunsite.unc.edu - the only place where
  I could find .tar.gz is ftp.slackware.org (and mirrors)
- FHS, pl translations etc.
- release 5

Revision 1.2  2001/08/23 17:33:21  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.1  2001/08/22 11:58:20  misiek
- raw

* Sun May 16 1999 Peter Soos <sp@osb.hu>
- using %attr macros to build the package as ordinary user

* Wed Nov 5 1997 Michael Vergallen <mvergall@double-barrel.be>
- changed all calls from ulong --> my_ulong, uint --> my_uint
  and ushort --> my_ushort. to avoid conflict with the typedefs
  in glibc.

- modified all calls to basename to my_basename so it doesn't
  interfere with the GNU basename util.
